const Me = imports.misc.extensionUtils.getCurrentExtension();
const log = Me.imports.log;
const Gio = imports.gi.Gio;
const SchedulerInterface = '<node>\
<interface name="com.system76.Scheduler"> \
    <method name="SetForegroundProcess"> \
        <arg name="pid" type="u" direction="in"/> \
    </method> \
</interface> \
</node>';
const SchedulerProxy = Gio.DBusProxy.makeProxyWrapper(SchedulerInterface);
const SchedProxy = new SchedulerProxy(Gio.DBus.system, "com.system76.Scheduler", "/com/system76/Scheduler");
let foreground = 0;
function setForeground(win) {
    const pid = win.get_pid();
    if (pid) {
        if (foreground === pid)
            return;
        foreground = pid;
        try {
            log.debug(`setting priority for ${win.get_title()}`);
            SchedProxy.SetForegroundProcessRemote(pid);
        }
        catch (_) { }
    }
}
